Bug 523238 - initscript collected problems LSB-compilant
Summary: initscript collected problems LSB-compilant
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: exim
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:39 UTC by Jan Ščotka
Modified: 2010-03-18 15:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 15:54:15 UTC


Attachments (Terms of Use)

Description Jan Ščotka 2009-09-14 14:39:44 UTC
Description of problem:
there are few problems with initscript of service:
based on document:
https://fedoraproject.org/wiki/Packaging/SysVInitScript

* when lock.file exist and service is killed, status should return 2
now: 1
expected: 2

* insufficient rights, there should be returncode 4
# su testuserqa -c "service $SERVICE restart"; echo $?
now: 0 
expected: 4

* there arent implemented LSB compilant functions which are requred:
 usage
 try-restart
 force-reload

* nonexist function should have returncode 3:
# service $SERVICE noexistop; echo $?
now: 1
expected: 3

* service without argument should have returncode 2:
# service $SERVICE noexistop; echo $?
now: 1
expected: 2

Comment 1 Bug Zapper 2009-11-16 12:22:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Miroslav Lichvar 2010-03-18 15:54:15 UTC
Should be fixed in exim-4.71-3.fc14.


Note You need to log in before you can comment on or make changes to this bug.